Subject: Re: bug#1562: 23.0.60; modify-frame-parameters in Emacs 23 for fonts

From: Jason Rumney <[email-masked]>
Date: Thu, 01 Jan 2009 10:10:49 +0800

Drew Adams wrote:
> After loading, (frame-parameter nil 'font) gives
> "-outline-Lucida Console-normal-normal-normal-mono-14-*-*-*-c-*-iso8859-1"
>
> Then do `C-u 5 M-x enlarge-font'. (frame-parameter nil 'font) gives
> "-outline-Lucida Console-normal-normal-normal-mono-19-*-*-*-c-*-iso8859-1"
> which is correct.
>
> Then do `C-u -5 M-x enlarge-font'. (frame-parameter nil 'font) gives
> "-outline-Lucida Console-normal-normal-normal-mono-14-*-*-*-c-*-fontset-auto1"
> which is NOT correct.
>   

I have fixed this now, x_new_font in w32term.c had not been updated in 
line with xterm.c.